Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(192)

Issue 11361015: Introduce RemoveChromeTaskbarShortcuts() to delete all pinned-to-taskbar shortcuts owned by the uni… (Closed)

Created:
5 years, 2 months ago by gab
Modified:
5 years, 2 months ago
Reviewers:
brettw, robertshield
CC:
chromium-reviews, grt+watch_chromium.org, erikwright+watch_chromium.org
Visibility:
Public.

Description

Introduce RemoveChromeTaskbarShortcuts() to delete all pinned-to-taskbar shortcuts owned by the uninstalled Chrome. TBR=brettw@chromium.org BUG=158632 TEST=No user-level shortcut Chrome left behind in taskbar post user-level self-destruct. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=165505

Patch Set 1 #

Total comments: 2

Patch Set 2 : add comment in uninstall.cc #

Unified diffs Side-by-side diffs Delta from patch set Stats (+52 lines, -2 lines) Patch
M base/base_paths_win.h View 1 chunk +2 lines, -0 lines 0 comments Download
M base/base_paths_win.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/shell_integration_win.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/installer/setup/uninstall.cc View 1 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/installer/util/shell_util.h View 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/installer/util/shell_util.cc View 1 chunk +28 lines, -0 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
gab
@robertshield for logic in chrome\installer\* @brettw for OWNER approval on side-effects in base\* and chrome\browser\shell_integration_win.cc. ...
5 years, 2 months ago (2012-10-31 19:00:36 UTC) #1
robertshield
https://codereview.chromium.org/11361015/diff/1/chrome/installer/setup/uninstall.cc File chrome/installer/setup/uninstall.cc (right): https://codereview.chromium.org/11361015/diff/1/chrome/installer/setup/uninstall.cc#newcode311 chrome/installer/setup/uninstall.cc:311: in the walk to the train, I've forgotten why ...
5 years, 2 months ago (2012-10-31 19:41:48 UTC) #2
gab
Comment added. https://codereview.chromium.org/11361015/diff/1/chrome/installer/setup/uninstall.cc File chrome/installer/setup/uninstall.cc (right): https://codereview.chromium.org/11361015/diff/1/chrome/installer/setup/uninstall.cc#newcode311 chrome/installer/setup/uninstall.cc:311: On 2012/10/31 19:41:48, robertshield wrote: > in ...
5 years, 2 months ago (2012-10-31 20:04:59 UTC) #3
robertshield
lgtm
5 years, 2 months ago (2012-10-31 20:27:18 UTC) #4
gab
Thanks, @brettw for OWNER on base and chrome\browser small changes.
5 years, 2 months ago (2012-10-31 20:49:20 UTC) #5
gab
@brettw: ping
5 years, 2 months ago (2012-11-01 15:27:59 UTC) #6
gab
On 2012/11/01 15:27:59, gab wrote: > @brettw: ping TBR: brettw
5 years, 2 months ago (2012-11-01 19:56:39 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gab@chromium.org/11361015/1007
5 years, 2 months ago (2012-11-01 19:56:50 UTC) #8
brettw
LGTM. Please wait for review next time you add stuff to base or find another ...
5 years, 2 months ago (2012-11-01 20:05:18 UTC) #9
gab
On 2012/11/01 20:05:18, brettw wrote: > LGTM. Please wait for review next time you add ...
5 years, 2 months ago (2012-11-01 20:06:13 UTC) #10
commit-bot: I haz the power
5 years, 2 months ago (2012-11-01 21:33:32 UTC) #11
Change committed as 165505

Powered by Google App Engine
This is Rietveld 408576698